---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: example-secret
spec:
  refreshInterval: "30s"
  secretStoreRef:
    name: senhasegura
    kind: SecretStore
  target:
    name: example-secret
  data:
  # Define API_SETTINGS Kubernetes Secret key, with json-encoded values from senhasegura secret with identifier "api-settings"
  - secretKey: API_SETTINGS
    remoteRef:
      key: api-settings # Secret Identifier in senhasegura
  # Define API_SETTINGS_TOKEN Kubernetes Secret key, with single secret key (TOKEN) from senhasegura as string
  - secretKey: API_SETTINGS_TOKEN
    remoteRef:
      key: api-settings # Secret Identifier in senhasegura
      property: TOKEN # Optional, Key name within secret
